felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pierre De Rop (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (FELIX-4676) Add Provide-Capability for DependencyManager Runtime bundle
Date Sun, 01 Mar 2015 14:14:04 GMT

     [ https://issues.apache.org/jira/browse/FELIX-4676?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Pierre De Rop updated FELIX-4676:
---------------------------------
    Component/s:     (was: Dependency Manager)
                 Dependency Manager Runtime
                 Dependency Manager Annotations

> Add Provide-Capability for DependencyManager Runtime bundle
> -----------------------------------------------------------
>
>                 Key: FELIX-4676
>                 URL: https://issues.apache.org/jira/browse/FELIX-4676
>             Project: Felix
>          Issue Type: Wish
>          Components: Dependency Manager Annotations, Dependency Manager Runtime
>    Affects Versions: dependencymanager.annotations-3.2.0, dependencymanager.runtime-3.2.0
>            Reporter: Pierre De Rop
>            Assignee: Pierre De Rop
>            Priority: Minor
>             Fix For: org.apache.felix.dependencymanager-r1
>
>
> The DependencyManager Runtime should declare the following Provide-Capability header:
> {code}
> Provide-Capability: osgi.extender; osgi.extender="org.apache.felix.dependencymanager.runtime";\
> 	uses:="org.apache.felix.dm";version:Version="4.0.0"
> {code}
> And the DependencyManager Annotations Bnd Plugin should generate the following Require-Capability
header:
> {code}
> Require-Capability: osgi.extender; filter:="(&(osgi.extender=org.apache.felix.dependencymanager.runtime)(version>=4.0.0))"
> {code}
> This allows to ensure that a DM Runtime is resolved from an OBR when a DM annoted bundle
is deployed.
> A new "add-require-capability" bndplugin option should be added in order to turn on/off
the generation of the  Require-Capability header with default value=true.
> Also, the Import-Service/Export-Service headers should not be generated by default anymore
by the DM bndplugin, because these headers are deprecated. 



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message